API referenceAccounts
Create Financial Account
POST /company/{id}/accounts
POST
/company/{id}/accountsPath Parameters
id*string
The company ID
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/company/string/accounts" \ -H "Content-Type: application/json" \ -d '{ "nativeId": "string", "name": "string", "mask": "string", "type": "Investment", "currency": "str" }'{ "id": "string", "nativeId": "string", "name": "string", "mask": "string", "type": "Investment", "subType": "Annuity", "currentBalance": { "amount": "string", "currency": "str" }, "status": "Syncing", "lastUpdatedAt": "string"}Schema refreshed 2026-11-11T18:57:48.657Z